## slingscold 1.3.0

=== CMakeLists.txt ===
# The name of our project is "HELLO". CMakeLists files in this project can
# refer to the root source directory of the project as ${HELLO_SOURCE_DIR} and
# to the root binary directory of the project as ${HELLO_BINARY_DIR}.
cmake_minimum_required (VERSION 2.6)
SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE OFF)
project (slingscold)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala )
# Recurse into the "Hello" and "Demo" subdirectories. This does not actually
# cause another cmake executable to run. The same process will walk through
# the project's entire directory structure.

#add_subdirectory (src)

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED unique-1.0 gtk+-2.0 gee-1.0 gio-unix-2.0 libgnome-menu libwnck-1.0)
pkg_check_modules(GTHREAD REQUIRED "gthread-2.0 >= 2.14.0")

add_definitions(${DEPS_CFLAGS})

link_libraries(${DEPS_LIBRARIES} ${GTHREAD_LIBRARIES})

link_directories(${DEPS_LIBRARY_DIRS})

find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.14.0" MINIMUM)

include(ValaPrecompile)
vala_precompile(VALA_C
    slingshot.vala
    frontend/widgets/AppItem.vala
    frontend/widgets/CompositedWindow.vala
    frontend/widgets/Grid.vala
    frontend/widgets/Indicators.vala
    frontend/widgets/Searchbar.vala
    frontend/Utilities.vala
    frontend/Color.vala
    backend/GMenuEntries.vala
PACKAGES
    gtk+-2.0
    gee-1.0
    gio-unix-2.0
    libgnome-menu
    libwnck-1.0
    unique-1.0
OPTIONS
    --thread
    )
INSTALL (FILES usr/slingscold.desktop DESTINATION /usr/share/applications/)
INSTALL (FILES usr/slingscold.png DESTINATION /usr/share/icons/)
add_definitions(${CFLAGS} -Wall -Winit-self -Wwrite-strings -Wunreachable-code
                          -Wstrict-prototypes -DGMENU_I_KNOW_THIS_IS_UNSTABLE -DWNCK_I_KNOW_THIS_IS_UNSTABLE )
add_executable(slingscold ${VALA_C})
target_link_libraries(slingscold m)

install(TARGETS slingscold RUNTIME DESTINATION bin)

=== debian/changelog ===
slingscold (1.3.0-0mx150+1) mx; urgency=medium

  * Repackaged for MX 15.
  * debian/source: changed from native to quilt format.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Thu, 28 Apr 2016 23:17:44 -0500

slingscold (1.3.0-1~wily1.5) wily; urgency=low

  * New upstream release.
    + Fixed icons not displaying with some themes.
    + Updated build system.
    + Synced slingscold with slingscold-launcher.
    + Packages no longer conflict.

 -- Martin Wimpress <code@flexion.org>  Thu, 15 Oct 2015 12:33:04 +0100

slingscold-launcher (1.2.1-1) precise; urgency=low

  * Nueva version [upstream]
  -- actualizacion del codigo
  * Cambio de Nombre del paquete
  -- en vez de llamarse "slingscold-launcher" ahora simplemente se llama "slingscold"
  * Improvisaciones en la Barra de busqueda
  -- barra centrada y mas gruesa
  -- se redondearon las esquinas
  -- se corrigieron los iconos de buscar y limpiar
  * Se mejoro el degradado del fondo
  * Se ocultaron las categorias
  * Improvisaciones en los indicadores de pagina
  * Improvisaciones en el texto de los iconos
  
 -- Juan Pablo Lozano <libredeb@gmail.com>  Sun, 25 Aug 2013 04:36:17 +0800

slingscold-launcher (1.0.1-1) precise; urgency=low

  * move search bar position to top center 
    - align to center of screen
  
 -- Juan Pablo Lozano <libredeb@gmail.com>  Wed, 31 Jul 2013 16:02:17 +0800

slingscold-launcher (1.0.0-1) precise; urgency=low

  * v 1.0.0, forked from slingshot-launcher 0.0.1~pre-0~48~oneiric1
  * dependencies changed:
    - valac-0.14
    - libvala-0.14-0
  * move search bar position to top 
  
 -- Juan Pablo Lozano <libredeb@gmail.com>  Mon, 29 Jul 2013 23:02:17 +0800

=== debian/control ===
Source: slingscold
Section: x11
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Martin Wimpress <code@flexion.org>
Bugs: mailto: <maintainer@mepiscommunity.org>
Build-Depends: cmake (>= 2.6),
               debhelper (>= 9),
               libgee-dev (>= 0.5.3),
               libglib2.0-dev (>= 2.22.0),
               libgnome-menu-dev,
               libgtk2.0-dev (>= 2.24.0),
               libunique-dev (>= 0.9),
               libvala-0.22-dev | libvala-0.26-dev | libvala-0.28-dev,
               libwnck-dev,
               valac-0.22 | valac-0.26 | valac-0.28,
Standards-Version: 3.9.6

Package: slingscold
Architecture: any
Depends: libc6,
         libglib2.0-0 (>= 2.22.0),
         libgnome-menu2,
         libgtk2.0-0 (>= 2.24.0),
         libunique-1.0-0 (>= 0.9),
         libwnck22,
         ${misc:Depends},
         ${shlibs:Depends},
Description: A a lightweight application launcher
 Slingscold is a lightweight application launcher similar to
 Launchpad in Mac OS X.
